> ## Documentation Index
> Fetch the complete documentation index at: https://cal.id/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a team

> Get team by ID for the authenticated user



## OpenAPI

````yaml /openapi.json get /teams/{teamId}
openapi: 3.1.0
info:
  title: Cal ID API
  description: >-
    API documentation for external developers integrating with Cal ID. This
    documentation is auto-generated from our OpenAPI specification and includes
    details on all available endpoints, request/response schemas, and
    authentication methods.


    Authentication is required for all endpoints and can be done using API key
    generated from the Cal ID dashboard under the `settings/developer/api-keys`
    page. Use the Authorization header with the Bearer scheme to authenticate
    your requests.


    Example:

    - API Key: `Authorization: Bearer calid_xxxxx`


    Note: To manage Team's resources use the Team's owner/admin API key
  version: 1.0.0
  contact:
    name: API Support
    email: support@cal.id
    url: https://cal.id
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.cal.id
    description: 'Production server '
security:
  - bearerAuth: []
tags:
  - name: Health
    description: Health check endpoints
  - name: Users
    description: User management endpoints
  - name: Event Types
    description: Event type management endpoints
  - name: Teams
    description: Team management endpoints
  - name: Team Event Types
    description: Event type management endpoints for teams
  - name: Team Memberships
    description: Membership management endpoints for teams
  - name: Team Schedules
    description: Schedule management endpoints for teams
  - name: Availability
    description: User availability management endpoints
  - name: Schedule
    description: User schedule management endpoints
  - name: Slots
    description: Available slots retrieval endpoints
  - name: Booking
    description: Event booking endpoints
paths:
  /teams/{teamId}:
    get:
      tags:
        - Teams
      summary: Get a team
      description: Get team by ID for the authenticated user
      operationId: get_team
      parameters:
        - schema:
            type: integer
            exclusiveMinimum: 0
            example: 42
            minimum: 1
          in: path
          name: teamId
          required: true
          description: Numeric team identifier.
      responses:
        '200':
          description: Team details retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        type: string
                      slug:
                        type:
                          - 'null'
                          - string
                      bio:
                        type:
                          - 'null'
                          - string
                      logoUrl:
                        type:
                          - 'null'
                          - string
                      hideTeamBranding:
                        type: boolean
                      hideTeamProfileLink:
                        type: boolean
                      isTeamPrivate:
                        type: boolean
                      hideBookATeamMember:
                        type: boolean
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                      metadata:
                        anyOf:
                          - {}
                          - type: 'null'
                      theme:
                        type:
                          - 'null'
                          - string
                      brandColor:
                        type:
                          - 'null'
                          - string
                      darkBrandColor:
                        type:
                          - 'null'
                          - string
                      timeFormat:
                        type:
                          - 'null'
                          - number
                      timeZone:
                        type: string
                      weekStart:
                        type: string
                      bookingFrequency:
                        anyOf:
                          - {}
                          - type: 'null'
                      memberCount:
                        type: number
                      eventTypeCount:
                        type: number
                    required:
                      - id
                      - name
                      - slug
                      - bio
                      - logoUrl
                      - hideTeamBranding
                      - hideTeamProfileLink
                      - isTeamPrivate
                      - hideBookATeamMember
                      - createdAt
                      - updatedAt
                      - theme
                      - brandColor
                      - darkBrandColor
                      - timeFormat
                      - timeZone
                      - weekStart
                    additionalProperties: false
                  message:
                    type: string
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          page:
                            type: number
                          limit:
                            type: number
                          total:
                            type: number
                          totalPages:
                            type: number
                        required:
                          - page
                          - limit
                          - total
                          - totalPages
                        additionalProperties: false
                    additionalProperties: {}
                required:
                  - success
                additionalProperties: false
                description: Team details retrieved
        '400':
          description: Invalid team ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - success
                  - message
                  - error
                additionalProperties: false
                description: Invalid team ID
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - success
                  - message
                  - error
                additionalProperties: false
                description: Unauthorized
        '404':
          description: Team not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - success
                  - message
                  - error
                additionalProperties: false
                description: Team not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT | API Key
      description: |-

        Use the Authorization header with Bearer scheme.

        Examples:
        - API Key: Authorization: Bearer calid_xxxxx
            

````

## Related topics

- [Get a team member](/docs/api-reference/team-memberships/get-a-team-member.md)
- [Get a team event type](/docs/api-reference/team-event-types/get-a-team-event-type.md)
- [List teams](/docs/api-reference/teams/list-teams.md)
- [List team members](/docs/api-reference/team-memberships/list-team-members.md)
- [List team schedules](/docs/api-reference/team-schedules/list-team-schedules.md)
